Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81790 - redhat-config-xfree86 doesn't allow keyboard expansion of tree list without a mouse.
Summary: redhat-config-xfree86 doesn't allow keyboard expansion of tree list without a...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-14 01:12 UTC by Brian "netdragon" Bober
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 05:06:20 UTC


Attachments (Terms of Use)

Description Brian "netdragon" Bober 2003-01-14 01:12:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
If you are using redhat-config-xfree86 or redhat-config-mouse (probably others
too) and have a tree list in some windows, you can't expand expandable nodes
without a mouse. One example is:

See "Steps to Reproduce"

Reproducibility:
Always

Steps to Reproduce:
1.Goto "Advanced" tab
2.Click "Configure" button for monitor
3.Click in monitor tree box
4.Navigate to a new root node by pressing down button (i.e. ViewSonic)

Actual Results:  No keyboard button expands it.

Expected Results:  Space, right, and enter should expand the tree root nodes.

Additional info:

<offtopic>I think there should also be a full-text ui version of the config
utilities (Bug 78752).</offtopic>

Comment 1 Brent Fox 2003-01-14 05:06:20 UTC
The Gtk keybindings for TreeViews are "-" to collapse a branch and "+" to expand
it.  I agree that it's not at all obvious, but that's the way gtk is.  There's
nothing I can do to change that.  You might consider opening a bug against gtk,
but they will probably not change the behavior.  Closing as 'notabug'.

BTW, I agree that there should be a text interface.  I will not have time to
write one for this release however. 

Comment 2 Brian "netdragon" Bober 2003-01-20 23:53:52 UTC
How can I file a bug against GTK?

Comment 3 Brent Fox 2003-02-11 21:42:32 UTC
bugzilla.gnome.org should be the place to file gtk bugs.

Comment 4 Brian "netdragon" Bober 2003-02-12 18:22:03 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=105895

Comment 5 Bryan 2003-05-30 04:47:23 UTC
Some text to tell the user what keyboard keys they can hit to do expand or colapse 
menus, switch selection, apply the changes etc, would be helpfull especialy on the 
configure mouse screen.  redhat-config-mouse , If my mouse wasn't working, and I didn't 
know the keyboard commands, what am I to do? 


Note You need to log in before you can comment on or make changes to this bug.